-- MySQL dump 10.13  Distrib 5.5.11, for Win32 (x86)
--
-- Host: localhost    Database: test_39
-- ------------------------------------------------------
-- Server version	5.5.11

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `test_39`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `test_39` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `test_39`;

--
-- Table structure for table `analysis`
--

DROP TABLE IF EXISTS `analysis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `analysis` (
  `AreaID` int(11) DEFAULT NULL,
  `AreaSortID` int(11) DEFAULT NULL,
  `AreaName` varchar(20) DEFAULT NULL,
  `DeviceID` int(11) DEFAULT NULL,
  `DeviceSortID` int(11) DEFAULT NULL,
  `DeviceName` varchar(20) DEFAULT NULL,
  `IPAddress` bigint(20) DEFAULT NULL,
  `ModbusID` tinyint(4) DEFAULT NULL,
  `channel` varchar(45) DEFAULT NULL,
  `chname` varchar(50) DEFAULT NULL,
  `ValueID_usage` int(11) DEFAULT NULL,
  `ValueName_usage` varchar(50) DEFAULT NULL,
  `ValueID` int(11) DEFAULT NULL,
  `ValueName` varchar(50) DEFAULT NULL,
  `unit_usage` varchar(50) DEFAULT NULL,
  `unit` varchar(50) DEFAULT NULL,
  `DUALTARIF` bit(1) DEFAULT NULL,
  `Tarif1_Start` time DEFAULT NULL,
  `Tarif1_End` time DEFAULT NULL,
  `Tarif1_PricePerUnit` float DEFAULT '1',
  `Tarif2_Start` time DEFAULT NULL,
  `Tarif2_End` time DEFAULT NULL,
  `Tarif2_PricePerUnit` float DEFAULT '1',
  `Shift` int(11) DEFAULT NULL,
  `ShiftName` varchar(50) DEFAULT NULL,
  `ValUsageStartCnt_01` float DEFAULT NULL,
  `ValUsageEndCnt_01` float DEFAULT NULL,
  `ValUsageTariff1_01` float DEFAULT NULL,
  `ValUsageTariff2_01` float DEFAULT NULL,
  `ValMin_01` float DEFAULT NULL,
  `ValMax_01` float DEFAULT NULL,
  `ValAvg_01` float DEFAULT NULL,
  `ValUsageStartCnt_02` float DEFAULT NULL,
  `ValUsageEndCnt_02` float DEFAULT NULL,
  `ValUsageTariff1_02` float DEFAULT NULL,
  `ValUsageTariff2_02` float DEFAULT NULL,
  `ValMin_02` float DEFAULT NULL,
  `ValMax_02` float DEFAULT NULL,
  `ValAvg_02` float DEFAULT NULL,
  `ValUsageStartCnt_03` float DEFAULT NULL,
  `ValUsageEndCnt_03` float DEFAULT NULL,
  `ValUsageTariff1_03` float DEFAULT NULL,
  `ValUsageTariff2_03` float DEFAULT NULL,
  `ValMin_03` float DEFAULT NULL,
  `ValMax_03` float DEFAULT NULL,
  `ValAvg_03` float DEFAULT NULL,
  `ValUsageStartCnt_04` float DEFAULT NULL,
  `ValUsageEndCnt_04` float DEFAULT NULL,
  `ValUsageTariff1_04` float DEFAULT NULL,
  `ValUsageTariff2_04` float DEFAULT NULL,
  `ValMin_04` float DEFAULT NULL,
  `ValMax_04` float DEFAULT NULL,
  `ValAvg_04` float DEFAULT NULL,
  `ValUsageStartCnt_05` float DEFAULT NULL,
  `ValUsageEndCnt_05` float DEFAULT NULL,
  `ValUsageTariff1_05` float DEFAULT NULL,
  `ValUsageTariff2_05` float DEFAULT NULL,
  `ValMin_05` float DEFAULT NULL,
  `ValMax_05` float DEFAULT NULL,
  `ValAvg_05` float DEFAULT NULL,
  `ValUsageStartCnt_06` float DEFAULT NULL,
  `ValUsageEndCnt_06` float DEFAULT NULL,
  `ValUsageTariff1_06` float DEFAULT NULL,
  `ValUsageTariff2_06` float DEFAULT NULL,
  `ValMin_06` float DEFAULT NULL,
  `ValMax_06` float DEFAULT NULL,
  `ValAvg_06` float DEFAULT NULL,
  `ValUsageStartCnt_07` float DEFAULT NULL,
  `ValUsageEndCnt_07` float DEFAULT NULL,
  `ValUsageTariff1_07` float DEFAULT NULL,
  `ValUsageTariff2_07` float DEFAULT NULL,
  `ValMin_07` float DEFAULT NULL,
  `ValMax_07` float DEFAULT NULL,
  `ValAvg_07` float DEFAULT NULL,
  `ValUsageStartCnt_08` float DEFAULT NULL,
  `ValUsageEndCnt_08` float DEFAULT NULL,
  `ValUsageTariff1_08` float DEFAULT NULL,
  `ValUsageTariff2_08` float DEFAULT NULL,
  `ValMin_08` float DEFAULT NULL,
  `ValMax_08` float DEFAULT NULL,
  `ValAvg_08` float DEFAULT NULL,
  `ValUsageStartCnt_09` float DEFAULT NULL,
  `ValUsageEndCnt_09` float DEFAULT NULL,
  `ValUsageTariff1_09` float DEFAULT NULL,
  `ValUsageTariff2_09` float DEFAULT NULL,
  `ValMin_09` float DEFAULT NULL,
  `ValMax_09` float DEFAULT NULL,
  `ValAvg_09` float DEFAULT NULL,
  `ValUsageStartCnt_10` float DEFAULT NULL,
  `ValUsageEndCnt_10` float DEFAULT NULL,
  `ValUsageTariff1_10` float DEFAULT NULL,
  `ValUsageTariff2_10` float DEFAULT NULL,
  `ValMin_10` float DEFAULT NULL,
  `ValMax_10` float DEFAULT NULL,
  `ValAvg_10` float DEFAULT NULL,
  `ValUsageStartCnt_11` float DEFAULT NULL,
  `ValUsageEndCnt_11` float DEFAULT NULL,
  `ValUsageTariff1_11` float DEFAULT NULL,
  `ValUsageTariff2_11` float DEFAULT NULL,
  `ValMin_11` float DEFAULT NULL,
  `ValMax_11` float DEFAULT NULL,
  `ValAvg_11` float DEFAULT NULL,
  `ValUsageStartCnt_12` float DEFAULT NULL,
  `ValUsageEndCnt_12` float DEFAULT NULL,
  `ValUsageTariff1_12` float DEFAULT NULL,
  `ValUsageTariff2_12` float DEFAULT NULL,
  `ValMin_12` float DEFAULT NULL,
  `ValMax_12` float DEFAULT NULL,
  `ValAvg_12` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `analysis`
--

LOCK TABLES `analysis` WRITE;
/*!40000 ALTER TABLE `analysis` DISABLE KEYS */;
/*!40000 ALTER TABLE `analysis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `analysis_caa`
--

DROP TABLE IF EXISTS `analysis_caa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `analysis_caa` (
  `Time_Start` bigint(20) NOT NULL,
  `Time_End` bigint(20) NOT NULL,
  `CompressorSortID` int(11) NOT NULL,
  `ComprTypeID` int(11) NOT NULL,
  `CompressorID` int(11) NOT NULL,
  `CompressorName` varchar(20) DEFAULT NULL,
  `DUALTARIF` bit(1) DEFAULT NULL,
  `Tariff1` float DEFAULT NULL,
  `Tariff1Start` bigint(20) DEFAULT NULL,
  `Tariff1End` bigint(20) DEFAULT NULL,
  `Tariff2` float DEFAULT NULL,
  `Tariff2Start` bigint(20) DEFAULT NULL,
  `Tariff2End` bigint(20) DEFAULT NULL,
  `LoadFull_Time` float DEFAULT NULL,
  `LoadFull_Percent` float DEFAULT NULL,
  `LoadNo_Full_Time` float DEFAULT NULL,
  `LoadNo_Full_Percent` float DEFAULT NULL,
  `StopLoad_Time` float DEFAULT NULL,
  `StopLoad_Percent` float DEFAULT NULL,
  `Load_Sum_Time` float DEFAULT NULL,
  `Load_Sum_Percent` float DEFAULT NULL,
  `CntStarts` int(11) NOT NULL DEFAULT '1',
  `CntLoads` int(11) NOT NULL DEFAULT '1',
  `Energy_FullLoad` float DEFAULT NULL,
  `Energy_FullLoad_Tariff1` float DEFAULT NULL,
  `Energy_FullLoad_Tariff2` float DEFAULT NULL,
  `Energy_NoLoad` float DEFAULT NULL,
  `Energy_NoLoad_Tariff1` float DEFAULT NULL,
  `Energy_NoLoad_Tariff2` float DEFAULT NULL,
  `Energy_StopLoad` float DEFAULT NULL,
  `Energy_StopLoad_Tariff1` float DEFAULT NULL,
  `Energy_StopLoad_Tariff2` float DEFAULT NULL,
  `Energy_Sum` float DEFAULT NULL,
  `Energy_Sum_Tariff1` float DEFAULT NULL,
  `Energy_Sum_Tariff2` float DEFAULT NULL,
  `Energy_Specific_Power` float DEFAULT NULL,
  `Energy_FullLoad_Percent` float DEFAULT NULL,
  `Energy_NoLoad_Percent` float DEFAULT NULL,
  `Energy_StopLoad_Percent` float DEFAULT NULL,
  `Energy_Sum_Percent` float DEFAULT NULL,
  `Delivery_Min` float DEFAULT NULL,
  `Delivery_Avg` float DEFAULT NULL,
  `Delivery_Max` float DEFAULT NULL,
  `Delivery_Sum` float DEFAULT NULL,
  `Cost_FullLoad` float DEFAULT NULL,
  `Cost_NoLoad` float DEFAULT NULL,
  `Cost_StopLoad` float DEFAULT NULL,
  `Cost_Sum` float DEFAULT NULL,
  `Cost_Per_QubicMetre` float DEFAULT NULL,
  `Cost_FullLoad_Percent` float DEFAULT NULL,
  `Cost_NoLoad_Percent` float DEFAULT NULL,
  `Cost_StopLoad_Percent` float DEFAULT NULL,
  `Cost_Sum_Percent` float DEFAULT NULL,
  `Leakage_cost` float DEFAULT NULL,
  `Leakage_avg` float DEFAULT NULL,
  `Leakage_sum` float DEFAULT NULL,
  `Cost_Per_kWh` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `analysis_caa`
--

LOCK TABLES `analysis_caa` WRITE;
/*!40000 ALTER TABLE `analysis_caa` DISABLE KEYS */;
/*!40000 ALTER TABLE `analysis_caa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `analysis_caa_journal`
--

DROP TABLE IF EXISTS `analysis_caa_journal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `analysis_caa_journal` (
  `Date` varchar(50) NOT NULL,
  `Nameofday` varchar(50) NOT NULL,
  `Time_Start` varchar(50) NOT NULL,
  `Time_End` varchar(50) NOT NULL,
  `CompressorSortID` int(11) NOT NULL,
  `ComprTypeID` int(11) NOT NULL,
  `CompressorID` int(11) NOT NULL,
  `CompressorName` varchar(20) DEFAULT NULL,
  `DUALTARIF` bit(1) DEFAULT NULL,
  `Tariff1` float DEFAULT NULL,
  `Tariff1Start` bigint(20) DEFAULT NULL,
  `Tariff1End` bigint(20) DEFAULT NULL,
  `Tariff2` float DEFAULT NULL,
  `Tariff2Start` bigint(20) DEFAULT NULL,
  `Tariff2End` bigint(20) DEFAULT NULL,
  `Load_Time` float DEFAULT NULL,
  `Load_Percent` float DEFAULT NULL,
  `UnLoad_Time` float DEFAULT NULL,
  `Unload_Percent` float DEFAULT NULL,
  `StopLoad_Time` float DEFAULT NULL,
  `StopLoad_Percent` float DEFAULT NULL,
  `Flow_Min` float DEFAULT NULL,
  `Flow_Avg` float DEFAULT NULL,
  `Flow_Max` float DEFAULT NULL,
  `Flow_Sum` float DEFAULT NULL,
  `Load_Energy` float DEFAULT NULL,
  `UnLoadEnergy` float DEFAULT NULL,
  `StopLoad_Energy` float DEFAULT NULL,
  `Energy_Sum` float DEFAULT NULL,
  `Load_Energy_Percent` float DEFAULT NULL,
  `UnLoad_Energy_Percent` float DEFAULT NULL,
  `StopLoad_Energy_Percent` float DEFAULT NULL,
  `Sum_Energy_Percent` float DEFAULT NULL,
  `Energy_Specific_Power` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `analysis_caa_journal`
--

LOCK TABLES `analysis_caa_journal` WRITE;
/*!40000 ALTER TABLE `analysis_caa_journal` DISABLE KEYS */;
/*!40000 ALTER TABLE `analysis_caa_journal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `area`
--

DROP TABLE IF EXISTS `area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `area` (
  `AreaID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(110) DEFAULT NULL,
  PRIMARY KEY (`AreaID`),
  UNIQUE KEY `name_UNIQUE` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `area`
--

LOCK TABLES `area` WRITE;
/*!40000 ALTER TABLE `area` DISABLE KEYS */;
INSERT  IGNORE INTO `area` VALUES (1,'28144051','description');
/*!40000 ALTER TABLE `area` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `axisprop`
--

DROP TABLE IF EXISTS `axisprop`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `axisprop` (
  `AxisID` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `range_min` float DEFAULT NULL,
  `range_max` float DEFAULT NULL,
  `range_auto` bit(1) DEFAULT NULL,
  `range_showzero` bit(1) DEFAULT NULL,
  PRIMARY KEY (`AxisID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `axisprop`
--

LOCK TABLES `axisprop` WRITE;
/*!40000 ALTER TABLE `axisprop` DISABLE KEYS */;
INSERT  IGNORE INTO `axisprop` VALUES (1,'UNIT_IDX_CENTIGRADE',0,0,'','\0'),(4,'UNIT_IDX_CENTIGRADE_TD',0,0,'','\0'),(9,'UNIT_IDX_GRAM_PER_QUBICMETRE',0,0,'','\0'),(56,'UNIT_IDX_PERCENT',0,0,'','\0');
/*!40000 ALTER TABLE `axisprop` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compr_para_type1`
--

DROP TABLE IF EXISTS `compr_para_type1`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compr_para_type1` (
  `ComprID` int(11) NOT NULL,
  `ComprPwr` float DEFAULT NULL,
  `ComprDelivery` float DEFAULT NULL,
  `Full_elec_pow` float DEFAULT NULL,
  `Full_cosphi` float DEFAULT NULL,
  `Full_kw` float DEFAULT NULL,
  `Empty_cosphi` float DEFAULT NULL,
  `Stop_elec_pow` float DEFAULT NULL,
  `Stop_cosphi` float DEFAULT NULL,
  `Stop_kw` float DEFAULT NULL,
  PRIMARY KEY (`ComprID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compr_para_type1`
--

LOCK TABLES `compr_para_type1` WRITE;
/*!40000 ALTER TABLE `compr_para_type1` DISABLE KEYS */;
/*!40000 ALTER TABLE `compr_para_type1` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compr_para_type2`
--

DROP TABLE IF EXISTS `compr_para_type2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compr_para_type2` (
  `ComprID` int(11) NOT NULL,
  `ComprPwr` float DEFAULT NULL,
  `ComprDelivery` float DEFAULT NULL,
  `Full_elec_pow` float DEFAULT NULL,
  `Full_cosphi` float DEFAULT NULL,
  `Full_kw` float DEFAULT NULL,
  `Stop_cosphi` float DEFAULT NULL,
  PRIMARY KEY (`ComprID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compr_para_type2`
--

LOCK TABLES `compr_para_type2` WRITE;
/*!40000 ALTER TABLE `compr_para_type2` DISABLE KEYS */;
/*!40000 ALTER TABLE `compr_para_type2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compr_para_type3`
--

DROP TABLE IF EXISTS `compr_para_type3`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compr_para_type3` (
  `ComprID` int(11) NOT NULL,
  `ComprPwr` float DEFAULT NULL,
  `ComprCosPhi` float DEFAULT NULL,
  `Full_elec_pow` float DEFAULT NULL,
  `Full_cosphi` float DEFAULT NULL,
  `Full_kw` float DEFAULT NULL,
  `Empty_elec_pow` float DEFAULT NULL,
  `Empty_cosphi` float DEFAULT NULL,
  `Empty_kw` float DEFAULT NULL,
  `Stop_elec_pow` float DEFAULT NULL,
  `Stop_cosphi` float DEFAULT NULL,
  `Stop_kw` float DEFAULT NULL,
  `Min_elec_pow` float DEFAULT NULL,
  `Min_deliver` float DEFAULT NULL,
  `Min_kw` float DEFAULT NULL,
  `P1_elec_pow` float DEFAULT NULL,
  `P1_deliver` float DEFAULT NULL,
  `P1_kw` float DEFAULT NULL,
  `P2_elec_pow` float DEFAULT NULL,
  `P2_deliver` float DEFAULT NULL,
  `P2_kw` float DEFAULT NULL,
  `Max_elec_pow` float DEFAULT NULL,
  `Max_deliver` float DEFAULT NULL,
  `Max_kw` float DEFAULT NULL,
  PRIMARY KEY (`ComprID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compr_para_type3`
--

LOCK TABLES `compr_para_type3` WRITE;
/*!40000 ALTER TABLE `compr_para_type3` DISABLE KEYS */;
/*!40000 ALTER TABLE `compr_para_type3` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compressor`
--

DROP TABLE IF EXISTS `compressor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `compressor` (
  `ComprID` int(11) NOT NULL AUTO_INCREMENT,
  `ComprTypeID` int(11) NOT NULL,
  `ComprTypeDescr` varchar(50) NOT NULL,
  `ComprManufact` varchar(50) DEFAULT NULL,
  `ComprManufactDescr` varchar(50) DEFAULT NULL,
  `ComprPress` float DEFAULT NULL,
  `ComprCurrentID` int(11) DEFAULT NULL,
  `ComprEnergyID` int(11) DEFAULT NULL,
  `ComprPowerID` int(11) DEFAULT NULL,
  `ComprFlowID` int(11) DEFAULT NULL,
  `ComprConsumptionID` int(11) DEFAULT NULL,
  `AreaID` int(11) NOT NULL,
  `ComprPressUnit` int(11) DEFAULT NULL,
  `ComprFlowUnit` int(11) DEFAULT NULL,
  `ComprSortID` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`ComprID`),
  UNIQUE KEY `ComprTypeDescr_UNIQUE` (`ComprTypeDescr`),
  KEY `FK_AreaID` (`AreaID`),
  CONSTRAINT `FK_ComprAreaID` FOREIGN KEY (`AreaID`) REFERENCES `area` (`AreaID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compressor`
--

LOCK TABLES `compressor` WRITE;
/*!40000 ALTER TABLE `compressor` DISABLE KEYS */;
/*!40000 ALTER TABLE `compressor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `config`
--

DROP TABLE IF EXISTS `config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config` (
  `idconfig` int(11) NOT NULL,
  `param` varchar(50) NOT NULL,
  `value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`idconfig`),
  UNIQUE KEY `param_UNIQUE` (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `config`
--

LOCK TABLES `config` WRITE;
/*!40000 ALTER TABLE `config` DISABLE KEYS */;
INSERT  IGNORE INTO `config` VALUES (1,'DB_VERSION','V1.11'),(2,'DB_RECORD_ID','165'),(3,'DB_COMMENT','TEST 3.9'),(4,'DB_TIMESTAMP_FIRST','635507833810000000'),(5,'DB_TIMESTAMP_LAST','635507909120000000');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data`
--

DROP TABLE IF EXISTS `data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `data` (
  `timestamp` bigint(20) unsigned NOT NULL,
  `valueID` int(11) NOT NULL,
  `value` float NOT NULL,
  `minValue` float NOT NULL,
  `maxValue` float NOT NULL,
  PRIMARY KEY (`timestamp`,`valueID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8
/*!50100 PARTITION BY LINEAR KEY (valueID)
PARTITIONS 10 */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data`
--

LOCK TABLES `data` WRITE;
/*!40000 ALTER TABLE `data` DISABLE KEYS */;
INSERT  IGNORE INTO `data` VALUES (635507833970000000,2,1.92657,1.92657,1.92657),(635507834120000000,2,1.92575,1.92575,1.92575),(635507834270000000,2,1.92534,1.92534,1.92534),(635507834420000000,2,1.92534,1.92534,1.92534),(635507834570000000,2,1.92514,1.92514,1.92514),(635507834720000000,2,1.92493,1.92493,1.92493),(635507834870000000,2,1.92493,1.92493,1.92493),(635507835020000000,2,1.92514,1.92514,1.92514),(635507835170000000,2,1.92411,1.92411,1.92411),(635507835320000000,2,1.92431,1.92431,1.92431),(635507835470000000,2,1.92411,1.92411,1.92411),(635507835620000000,2,1.92411,1.92411,1.92411),(635507835770000000,2,1.92411,1.92411,1.92411),(635507835920000000,2,1.92349,1.92349,1.92349),(635507836070000000,2,2.04249,2.04249,2.04249),(635507836220000000,2,2.45837,2.45837,2.45837),(635507836370000000,2,3.0946,3.0946,3.0946),(635507836520000000,2,3.58372,3.58372,3.58372),(635507836670000000,2,4.00165,4.00165,4.00165),(635507836820000000,2,4.32171,4.32171,4.32171),(635507836970000000,2,4.63788,4.63788,4.63788),(635507837120000000,2,4.90357,4.90357,4.90357),(635507837270000000,2,5.22641,5.22641,5.22641),(635507837420000000,2,5.5605,5.5605,5.5605),(635507837570000000,2,5.87333,5.87333,5.87333),(635507837720000000,2,6.16761,6.16761,6.16761),(635507837870000000,2,6.42746,6.42746,6.42746),(635507838020000000,2,6.70856,6.70856,6.70856),(635507838170000000,2,6.94326,6.94326,6.94326),(635507838320000000,2,7.18605,7.18605,7.18605),(635507838470000000,2,7.40548,7.40548,7.40548),(635507838620000000,2,7.64348,7.64348,7.64348),(635507838770000000,2,7.84046,7.84046,7.84046),(635507838920000000,2,8.04373,8.04373,8.04373),(635507839070000000,2,8.22843,8.22843,8.22843),(635507839220000000,2,8.42751,8.42751,8.42751),(635507839370000000,2,8.59575,8.59575,8.59575),(635507839520000000,2,8.77088,8.77088,8.77088),(635507839670000000,2,8.92745,8.92745,8.92745),(635507839820000000,2,9.10048,9.10048,9.10048),(635507839970000000,2,9.25525,9.25525,9.25525),(635507840120000000,2,9.44445,9.44445,9.44445),(635507840270000000,2,9.6085,9.6085,9.6085),(635507840420000000,2,9.78123,9.78123,9.78123),(635507840570000000,2,9.93541,9.93541,9.93541),(635507840720000000,2,17.157,17.157,17.157),(635507840870000000,2,35.1736,35.1736,35.1736),(635507841020000000,2,31.6848,31.6848,31.6848),(635507841170000000,2,27.0447,27.0447,27.0447),(635507841320000000,2,24.5944,24.5944,24.5944),(635507841470000000,2,22.9742,22.9742,22.9742),(635507841620000000,2,21.9528,21.9528,21.9528),(635507841770000000,2,21.0547,21.0547,21.0547),(635507841920000000,2,20.3302,20.3302,20.3302),(635507842070000000,2,19.6393,19.6393,19.6393),(635507842220000000,2,19.0157,19.0157,19.0157),(635507842370000000,2,18.4834,18.4834,18.4834),(635507842520000000,2,17.9919,17.9919,17.9919),(635507842670000000,2,17.4728,17.4728,17.4728),(635507842820000000,2,17.0483,17.0483,17.0483),(635507842970000000,2,16.6486,16.6486,16.6486),(635507843120000000,2,16.2439,16.2439,16.2439),(635507843270000000,2,15.8655,15.8655,15.8655),(635507843420000000,2,15.5123,15.5123,15.5123),(635507843570000000,2,15.2015,15.2015,15.2015),(635507843720000000,2,14.909,14.909,14.909),(635507843870000000,2,14.5923,14.5923,14.5923),(635507844020000000,2,14.3316,14.3316,14.3316),(635507844170000000,2,14.0675,14.0675,14.0675),(635507844320000000,2,13.8319,13.8319,13.8319),(635507844470000000,2,13.576,13.576,13.576),(635507844620000000,2,13.3634,13.3634,13.3634),(635507844770000000,2,13.1575,13.1575,13.1575),(635507844920000000,2,12.9323,12.9323,12.9323),(635507845070000000,2,12.7446,12.7446,12.7446),(635507845220000000,2,12.551,12.551,12.551),(635507845370000000,2,12.3764,12.3764,12.3764),(635507845520000000,2,12.1857,12.1857,12.1857),(635507907020000000,2,3.53284,3.53284,3.53284),(635507907170000000,2,3.53181,3.53181,3.53181),(635507907320000000,2,3.53038,3.53038,3.53038),(635507907470000000,2,3.52771,3.52771,3.52771),(635507907620000000,2,3.52422,3.52422,3.52422),(635507907770000000,2,3.52176,3.52176,3.52176),(635507907920000000,2,3.51971,3.51971,3.51971),(635507908070000000,2,3.51683,3.51683,3.51683),(635507908220000000,2,3.51478,3.51478,3.51478),(635507908370000000,2,3.51212,3.51212,3.51212),(635507908520000000,2,3.50965,3.50965,3.50965),(635507908670000000,2,3.50699,3.50699,3.50699),(635507908820000000,2,3.50411,3.50411,3.50411),(635507908970000000,2,3.50124,3.50124,3.50124),(635507833970000000,1,-25.4447,-25.4447,-25.4447),(635507834120000000,1,-25.4478,-25.4478,-25.4478),(635507834270000000,1,-25.4496,-25.4496,-25.4496),(635507834420000000,1,-25.4489,-25.4489,-25.4489),(635507834570000000,1,-25.4497,-25.4497,-25.4497),(635507834720000000,1,-25.4506,-25.4506,-25.4506),(635507834870000000,1,-25.4505,-25.4505,-25.4505),(635507835020000000,1,-25.444,-25.444,-25.444),(635507835170000000,1,-25.4386,-25.4386,-25.4386),(635507835320000000,1,-25.4319,-25.4319,-25.4319),(635507835470000000,1,-25.4308,-25.4308,-25.4308),(635507835620000000,1,-25.4292,-25.4292,-25.4292),(635507835770000000,1,-25.4285,-25.4285,-25.4285),(635507835920000000,1,-25.4304,-25.4304,-25.4304),(635507836070000000,1,-24.8224,-24.8224,-24.8224),(635507836220000000,1,-22.9406,-22.9406,-22.9406),(635507836370000000,1,-20.5698,-20.5698,-20.5698),(635507836520000000,1,-19.0355,-19.0355,-19.0355),(635507836670000000,1,-17.8694,-17.8694,-17.8694),(635507836820000000,1,-17.038,-17.038,-17.038),(635507836970000000,1,-16.2747,-16.2747,-16.2747),(635507837120000000,1,-15.6684,-15.6684,-15.6684),(635507837270000000,1,-14.9663,-14.9663,-14.9663),(635507837420000000,1,-14.2832,-14.2832,-14.2832),(635507837570000000,1,-13.6723,-13.6723,-13.6723),(635507837720000000,1,-13.1234,-13.1234,-13.1234),(635507837870000000,1,-12.6631,-12.6631,-12.6631),(635507838020000000,1,-12.1832,-12.1832,-12.1832),(635507838170000000,1,-11.7863,-11.7863,-11.7863),(635507838320000000,1,-11.3963,-11.3963,-11.3963),(635507838470000000,1,-11.0577,-11.0577,-11.0577),(635507838620000000,1,-10.6962,-10.6962,-10.6962),(635507838770000000,1,-10.3978,-10.3978,-10.3978),(635507838920000000,1,-10.103,-10.103,-10.103),(635507839070000000,1,-9.84474,-9.84474,-9.84474),(635507839220000000,1,-9.56854,-9.56854,-9.56854),(635507839370000000,1,-9.3303,-9.3303,-9.3303),(635507839520000000,1,-9.09518,-9.09518,-9.09518),(635507839670000000,1,-8.89136,-8.89136,-8.89136),(635507839820000000,1,-8.67134,-8.67134,-8.67134),(635507839970000000,1,-8.47586,-8.47586,-8.47586),(635507840120000000,1,-8.23451,-8.23451,-8.23451),(635507840270000000,1,-8.02973,-8.02973,-8.02973),(635507840420000000,1,-7.82013,-7.82013,-7.82013),(635507840570000000,1,-7.63844,-7.63844,-7.63844),(635507840720000000,1,-1.20569,-1.20569,-1.20569),(635507840870000000,1,8.96341,8.96341,8.96341),(635507841020000000,1,7.85841,7.85841,7.85841),(635507841170000000,1,5.85034,5.85034,5.85034),(635507841320000000,1,4.54141,4.54141,4.54141),(635507841470000000,1,3.52915,3.52915,3.52915),(635507841620000000,1,2.79006,2.79006,2.79006),(635507841770000000,1,2.11171,2.11171,2.11171),(635507841920000000,1,1.56519,1.56519,1.56519),(635507842070000000,1,1.03024,1.03024,1.03024),(635507842220000000,1,0.544671,0.544671,0.544671),(635507842370000000,1,0.134818,0.134818,0.134818),(635507842520000000,1,-0.215485,-0.215485,-0.215485),(635507842670000000,1,-0.57477,-0.57477,-0.57477),(635507842820000000,1,-0.870919,-0.870919,-0.870919),(635507842970000000,1,-1.14225,-1.14225,-1.14225),(635507843120000000,1,-1.43037,-1.43037,-1.43037),(635507843270000000,1,-1.69312,-1.69312,-1.69312),(635507843420000000,1,-1.94909,-1.94909,-1.94909),(635507843570000000,1,-2.17297,-2.17297,-2.17297),(635507843720000000,1,-2.39286,-2.39286,-2.39286),(635507843870000000,1,-2.64178,-2.64178,-2.64178),(635507844020000000,1,-2.8456,-2.8456,-2.8456),(635507844170000000,1,-3.0517,-3.0517,-3.0517),(635507844320000000,1,-3.24936,-3.24936,-3.24936),(635507844470000000,1,-3.46737,-3.46737,-3.46737),(635507844620000000,1,-3.65021,-3.65021,-3.65021),(635507844770000000,1,-3.82667,-3.82667,-3.82667),(635507844920000000,1,-4.01578,-4.01578,-4.01578),(635507845070000000,1,-4.18453,-4.18453,-4.18453),(635507845220000000,1,-4.3615,-4.3615,-4.3615),(635507845370000000,1,-4.52435,-4.52435,-4.52435),(635507845520000000,1,-4.70428,-4.70428,-4.70428),(635507907020000000,1,-18.8894,-18.8894,-18.8894),(635507907170000000,1,-18.8476,-18.8476,-18.8476),(635507907320000000,1,-18.8217,-18.8217,-18.8217),(635507907470000000,1,-18.8157,-18.8157,-18.8157),(635507907620000000,1,-18.8192,-18.8192,-18.8192),(635507907770000000,1,-18.8244,-18.8244,-18.8244),(635507907920000000,1,-18.8285,-18.8285,-18.8285),(635507908070000000,1,-18.8351,-18.8351,-18.8351),(635507908220000000,1,-18.8413,-18.8413,-18.8413),(635507908370000000,1,-18.8497,-18.8497,-18.8497),(635507908520000000,1,-18.8573,-18.8573,-18.8573),(635507908670000000,1,-18.8645,-18.8645,-18.8645),(635507908820000000,1,-18.8713,-18.8713,-18.8713),(635507908970000000,1,-18.8738,-18.8738,-18.8738),(635507833970000000,4,0.440135,0.440135,0.440135),(635507834120000000,4,0.439996,0.439996,0.439996),(635507834270000000,4,0.439914,0.439914,0.439914),(635507834420000000,4,0.439942,0.439942,0.439942),(635507834570000000,4,0.439909,0.439909,0.439909),(635507834720000000,4,0.439868,0.439868,0.439868),(635507834870000000,4,0.439871,0.439871,0.439871),(635507835020000000,4,0.440146,0.440146,0.440146),(635507835170000000,4,0.440356,0.440356,0.440356),(635507835320000000,4,0.440637,0.440637,0.440637),(635507835470000000,4,0.440681,0.440681,0.440681),(635507835620000000,4,0.440747,0.440747,0.440747),(635507835770000000,4,0.440778,0.440778,0.440778),(635507835920000000,4,0.44069,0.44069,0.44069),(635507836070000000,4,0.468286,0.468286,0.468286),(635507836220000000,4,0.564118,0.564118,0.564118),(635507836370000000,4,0.710452,0.710452,0.710452),(635507836520000000,4,0.822934,0.822934,0.822934),(635507836670000000,4,0.919097,0.919097,0.919097),(635507836820000000,4,0.993768,0.993768,0.993768),(635507836970000000,4,1.06721,1.06721,1.06721),(635507837120000000,4,1.12904,1.12904,1.12904),(635507837270000000,4,1.2047,1.2047,1.2047),(635507837420000000,4,1.28277,1.28277,1.28277),(635507837570000000,4,1.35645,1.35645,1.35645),(635507837720000000,4,1.42594,1.42594,1.42594),(635507837870000000,4,1.48673,1.48673,1.48673),(635507838020000000,4,1.55262,1.55262,1.55262),(635507838170000000,4,1.60906,1.60906,1.60906),(635507838320000000,4,1.66638,1.66638,1.66638),(635507838470000000,4,1.71769,1.71769,1.71769),(635507838620000000,4,1.77404,1.77404,1.77404),(635507838770000000,4,1.82174,1.82174,1.82174),(635507838920000000,4,1.87008,1.87008,1.87008),(635507839070000000,4,1.91342,1.91342,1.91342),(635507839220000000,4,1.96075,1.96075,1.96075),(635507839370000000,4,2.00234,2.00234,2.00234),(635507839520000000,4,2.04425,2.04425,2.04425),(635507839670000000,4,2.08126,2.08126,2.08126),(635507839820000000,4,2.12191,2.12191,2.12191),(635507839970000000,4,2.15862,2.15862,2.15862),(635507840120000000,4,2.20467,2.20467,2.20467),(635507840270000000,4,2.24445,2.24445,2.24445),(635507840420000000,4,2.28588,2.28588,2.28588),(635507840570000000,4,2.32238,2.32238,2.32238),(635507840720000000,4,4.01558,4.01558,4.01558),(635507840870000000,4,8.2979,8.2979,8.2979),(635507841020000000,4,7.68685,7.68685,7.68685),(635507841170000000,4,6.69042,6.69042,6.69042),(635507841320000000,4,6.10747,6.10747,6.10747),(635507841470000000,4,5.68986,5.68986,5.68986),(635507841620000000,4,5.40252,5.40252,5.40252),(635507841770000000,4,5.15024,5.15024,5.15024),(635507841920000000,4,4.95428,4.95428,4.95428),(635507842070000000,4,4.76886,4.76886,4.76886),(635507842220000000,4,4.6057,4.6057,4.6057),(635507842370000000,4,4.47158,4.47158,4.47158),(635507842520000000,4,4.35029,4.35029,4.35029),(635507842670000000,4,4.22315,4.22315,4.22315),(635507842820000000,4,4.1208,4.1208,4.1208),(635507842970000000,4,4.02877,4.02877,4.02877),(635507843120000000,4,3.93323,3.93323,3.93323),(635507843270000000,4,3.84768,3.84768,3.84768),(635507843420000000,4,3.76607,3.76607,3.76607),(635507843570000000,4,3.69589,3.69589,3.69589),(635507843720000000,4,3.62821,3.62821,3.62821),(635507843870000000,4,3.55308,3.55308,3.55308),(635507844020000000,4,3.49254,3.49254,3.49254),(635507844170000000,4,3.43222,3.43222,3.43222),(635507844320000000,4,3.37545,3.37545,3.37545),(635507844470000000,4,3.31382,3.31382,3.31382),(635507844620000000,4,3.2629,3.2629,3.2629),(635507844770000000,4,3.2144,3.2144,3.2144),(635507844920000000,4,3.16304,3.16304,3.16304),(635507845070000000,4,3.11798,3.11798,3.11798),(635507845220000000,4,3.07137,3.07137,3.07137),(635507845370000000,4,3.02906,3.02906,3.02906),(635507845520000000,4,2.98292,2.98292,2.98292),(635507907020000000,4,0.833128,0.833128,0.833128),(635507907170000000,4,0.836244,0.836244,0.836244),(635507907320000000,4,0.83817,0.83817,0.83817),(635507907470000000,4,0.838584,0.838584,0.838584),(635507907620000000,4,0.838278,0.838278,0.838278),(635507907770000000,4,0.837853,0.837853,0.837853),(635507907920000000,4,0.837516,0.837516,0.837516),(635507908070000000,4,0.836982,0.836982,0.836982),(635507908220000000,4,0.836489,0.836489,0.836489),(635507908370000000,4,0.835828,0.835828,0.835828),(635507908520000000,4,0.835224,0.835224,0.835224),(635507908670000000,4,0.834648,0.834648,0.834648),(635507908820000000,4,0.834096,0.834096,0.834096),(635507908970000000,4,0.833874,0.833874,0.833874),(635507833970000000,3,24.9066,24.9066,24.9066),(635507834120000000,3,24.9086,24.9086,24.9086),(635507834270000000,3,24.909,24.909,24.909),(635507834420000000,3,24.9102,24.9102,24.9102),(635507834570000000,3,24.9107,24.9107,24.9107),(635507834720000000,3,24.911,24.911,24.911),(635507834870000000,3,24.9111,24.9111,24.9111),(635507835020000000,3,24.9203,24.9203,24.9203),(635507835170000000,3,24.9383,24.9383,24.9383),(635507835320000000,3,24.9477,24.9477,24.9477),(635507835470000000,3,24.9514,24.9514,24.9514),(635507835620000000,3,24.954,24.954,24.954),(635507835770000000,3,24.9553,24.9553,24.9553),(635507835920000000,3,24.9574,24.9574,24.9574),(635507836070000000,3,24.9701,24.9701,24.9701),(635507836220000000,3,24.9853,24.9853,24.9853),(635507836370000000,3,24.9938,24.9938,24.9938),(635507836520000000,3,24.9979,24.9979,24.9979),(635507836670000000,3,25.0016,25.0016,25.0016),(635507836820000000,3,25.0224,25.0224,25.0224),(635507836970000000,3,25.0347,25.0347,25.0347),(635507837120000000,3,25.0457,25.0457,25.0457),(635507837270000000,3,25.0653,25.0653,25.0653),(635507837420000000,3,25.08,25.08,25.08),(635507837570000000,3,25.0998,25.0998,25.0998),(635507837720000000,3,25.1189,25.1189,25.1189),(635507837870000000,3,25.1275,25.1275,25.1275),(635507838020000000,3,25.1374,25.1374,25.1374),(635507838170000000,3,25.1609,25.1609,25.1609),(635507838320000000,3,25.1722,25.1722,25.1722),(635507838470000000,3,25.1766,25.1766,25.1766),(635507838620000000,3,25.1881,25.1881,25.1881),(635507838770000000,3,25.2075,25.2075,25.2075),(635507838920000000,3,25.2181,25.2181,25.2181),(635507839070000000,3,25.2217,25.2217,25.2217),(635507839220000000,3,25.2311,25.2311,25.2311),(635507839370000000,3,25.2529,25.2529,25.2529),(635507839520000000,3,25.2627,25.2627,25.2627),(635507839670000000,3,25.2671,25.2671,25.2671),(635507839820000000,3,25.2697,25.2697,25.2697),(635507839970000000,3,25.2749,25.2749,25.2749),(635507840120000000,3,25.2904,25.2904,25.2904),(635507840270000000,3,25.3022,25.3022,25.3022),(635507840420000000,3,25.3106,25.3106,25.3106),(635507840570000000,3,25.3143,25.3143,25.3143),(635507840720000000,3,25.3372,25.3372,25.3372),(635507840870000000,3,25.4787,25.4787,25.4787),(635507841020000000,3,25.9788,25.9788,25.9788),(635507841170000000,3,26.3289,26.3289,26.3289),(635507841320000000,3,26.3973,26.3973,26.3973),(635507841470000000,3,26.3491,26.3491,26.3491),(635507841620000000,3,26.2352,26.2352,26.2352),(635507841770000000,3,26.1266,26.1266,26.1266),(635507841920000000,3,26.0589,26.0589,26.0589),(635507842070000000,3,25.9949,25.9949,25.9949),(635507842220000000,3,25.9493,25.9493,25.9493),(635507842370000000,3,25.9285,25.9285,25.9285),(635507842520000000,3,25.9188,25.9188,25.9188),(635507842670000000,3,25.9118,25.9118,25.9118),(635507842820000000,3,25.9129,25.9129,25.9129),(635507842970000000,3,25.9333,25.9333,25.9333),(635507843120000000,3,25.9442,25.9442,25.9442),(635507843270000000,3,25.9725,25.9725,25.9725),(635507843420000000,3,25.9918,25.9918,25.9918),(635507843570000000,3,26.0173,26.0173,26.0173),(635507843720000000,3,26.0343,26.0343,26.0343),(635507843870000000,3,26.0441,26.0441,26.0441),(635507844020000000,3,26.0593,26.0593,26.0593),(635507844170000000,3,26.0803,26.0803,26.0803),(635507844320000000,3,26.0841,26.0841,26.0841),(635507844470000000,3,26.0886,26.0886,26.0886),(635507844620000000,3,26.0939,26.0939,26.0939),(635507844770000000,3,26.1039,26.1039,26.1039),(635507844920000000,3,26.1245,26.1245,26.1245),(635507845070000000,3,26.1294,26.1294,26.1294),(635507845220000000,3,26.1339,26.1339,26.1339),(635507845370000000,3,26.1363,26.1363,26.1363),(635507845520000000,3,26.1395,26.1395,26.1395),(635507907020000000,3,25.472,25.472,25.472),(635507907170000000,3,25.5438,25.5438,25.5438),(635507907320000000,3,25.5921,25.5921,25.5921),(635507907470000000,3,25.6145,25.6145,25.6145),(635507907620000000,3,25.6256,25.6256,25.6256),(635507907770000000,3,25.629,25.629,25.629),(635507907920000000,3,25.6323,25.6323,25.6323),(635507908070000000,3,25.6355,25.6355,25.6355),(635507908220000000,3,25.6354,25.6354,25.6354),(635507908370000000,3,25.6348,25.6348,25.6348),(635507908520000000,3,25.6344,25.6344,25.6344),(635507908670000000,3,25.6357,25.6357,25.6357),(635507908820000000,3,25.6385,25.6385,25.6385),(635507908970000000,3,25.6484,25.6484,25.6484);
/*!40000 ALTER TABLE `data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `device`
--

DROP TABLE IF EXISTS `device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `device` (
  `ModbusID` tinyint(4) unsigned NOT NULL,
  `AreaID` int(11) NOT NULL,
  `IPAddress` bigint(20) NOT NULL,
  `name` varchar(20) DEFAULT NULL,
  `description` varchar(50) DEFAULT NULL,
  `deviceID` int(11) NOT NULL AUTO_INCREMENT,
  `Typ` tinyint(4) NOT NULL,
  `hw_version` varchar(20) DEFAULT NULL,
  `sw_version` varchar(20) DEFAULT NULL,
  `SerialNr` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`deviceID`),
  KEY `AreaID` (`AreaID`),
  KEY `Address` (`IPAddress`,`ModbusID`),
  CONSTRAINT `FK_AreaID` FOREIGN KEY (`AreaID`) REFERENCES `area` (`AreaID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `device`
--

LOCK TABLES `device` WRITE;
/*!40000 ALTER TABLE `device` DISABLE KEYS */;
INSERT  IGNORE INTO `device` VALUES (1,1,0,'28144051 (DP510)','description',1,1,'1.00','80.13',28144051);
/*!40000 ALTER TABLE `device` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `moving_avg_prop`
--

DROP TABLE IF EXISTS `moving_avg_prop`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `moving_avg_prop` (
  `moving_avg_ID` int(11) NOT NULL AUTO_INCREMENT,
  `typ` int(11) NOT NULL,
  `points` int(11) NOT NULL,
  `kind` int(11) NOT NULL,
  `envelope` int(11) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  PRIMARY KEY (`moving_avg_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `moving_avg_prop`
--

LOCK TABLES `moving_avg_prop` WRITE;
/*!40000 ALTER TABLE `moving_avg_prop` DISABLE KEYS */;
/*!40000 ALTER TABLE `moving_avg_prop` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `seriesprop`
--

DROP TABLE IF EXISTS `seriesprop`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `seriesprop` (
  `ValueID` int(11) NOT NULL,
  `DashStyle` tinyint(4) DEFAULT NULL,
  `Color` bigint(20) DEFAULT NULL,
  `MarkerKind` tinyint(4) DEFAULT NULL,
  `Thickness` tinyint(4) DEFAULT NULL,
  `ValueKind` tinyint(4) DEFAULT NULL,
  `ShowStackedArea` bit(1) DEFAULT b'0',
  `ShowAverage` bit(1) DEFAULT b'0',
  `ValAvg` int(11) DEFAULT '100',
  `ShowMinMax` bit(1) DEFAULT b'0',
  PRIMARY KEY (`ValueID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `seriesprop`
--

LOCK TABLES `seriesprop` WRITE;
/*!40000 ALTER TABLE `seriesprop` DISABLE KEYS */;
INSERT  IGNORE INTO `seriesprop` VALUES (1,1,16711680,0,2,0,'\0','',100,'\0'),(2,1,65280,0,2,0,'\0','',100,'\0'),(3,1,255,0,2,0,'\0','',100,'\0'),(4,1,16776960,0,2,0,'\0','',100,'\0'),(5,1,16711935,0,2,0,'\0','',100,'\0');
/*!40000 ALTER TABLE `seriesprop` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `idsettings` int(11) NOT NULL DEFAULT '1',
  `USE_SUM_OF_COMPR_AS_FLOW` bit(1) DEFAULT b'1',
  `USE_FLOW_SENS` bit(1) DEFAULT b'0',
  `FLOW_SENS_VALUE` int(11) DEFAULT NULL,
  `CONSUMPTION_SENS_VALUE` int(11) DEFAULT NULL,
  `CALC_LEAKAGE` bit(1) DEFAULT b'0',
  `LEAKAGE_VALUE` float DEFAULT '0',
  `TIMESTAMP_FIRST` bigint(20) DEFAULT '0',
  `TIMESTAMP_LAST` bigint(20) DEFAULT '0',
  `USE_RPT_COVER` bit(1) DEFAULT b'0',
  `USE_RPT_PARAM` bit(1) DEFAULT b'0',
  `USE_RPT_CUMULATIVE` bit(1) DEFAULT b'0',
  `USE_RPT_LOAD` bit(1) DEFAULT b'0',
  `USE_RPT_JOURNAL` bit(1) DEFAULT b'0',
  `RPT_JOURNAL_TYPE` int(11) DEFAULT NULL,
  `USE_RPT_CHART` bit(1) DEFAULT b'0',
  `RPT_CHART_TYPE` int(11) DEFAULT NULL,
  `UNIT_PRESSURE` int(11) DEFAULT NULL,
  `UNIT_FLOW` int(11) DEFAULT NULL,
  `UNIT_ENERGY` int(11) DEFAULT NULL,
  `UNIT_CONSUMPTION` int(11) DEFAULT NULL,
  `CURRENCY` varchar(50) DEFAULT NULL,
  `HOURS_PER_YEAR` float DEFAULT '0',
  `USE_DUALTARIFF` bit(1) DEFAULT b'0',
  `TARIFF1_START` bigint(20) DEFAULT '0',
  `TARIFF1_END` bigint(20) DEFAULT '0',
  `TARIFF1_VALUE` float DEFAULT '0',
  `TARIFF2_START` bigint(20) DEFAULT '0',
  `TARIFF2_END` bigint(20) DEFAULT '0',
  `TARIFF2_VALUE` float DEFAULT '0',
  PRIMARY KEY (`idsettings`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `statistics`
--

DROP TABLE IF EXISTS `statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `statistics` (
  `Area ID` int(11) DEFAULT NULL,
  `Area Name` varchar(20) DEFAULT NULL,
  `Device ID` int(11) DEFAULT NULL,
  `Device Name` varchar(20) DEFAULT NULL,
  `IP Address` bigint(20) DEFAULT NULL,
  `Modbus ID` tinyint(4) DEFAULT NULL,
  `Device Typ` tinyint(4) DEFAULT NULL,
  `HW version` varchar(20) DEFAULT NULL,
  `SW version` varchar(20) DEFAULT NULL,
  `SerialNr` bigint(20) DEFAULT NULL,
  `Value ID` int(11) DEFAULT NULL,
  `Value name` varchar(50) DEFAULT NULL,
  `nr_display` tinyint(4) unsigned DEFAULT NULL,
  `Value Typ` tinyint(4) DEFAULT NULL,
  `unit` varchar(50) DEFAULT NULL,
  `channel` tinyint(4) DEFAULT NULL,
  `chname` varchar(50) DEFAULT NULL,
  `Avg_Value` float DEFAULT NULL,
  `Min Value` float DEFAULT NULL,
  `ts_min` bigint(20) DEFAULT NULL,
  `Max Value` float DEFAULT NULL,
  `ts_max` bigint(20) DEFAULT NULL,
  `alarm1_cnt` bigint(20) DEFAULT NULL,
  `alarm2_cnt` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `statistics`
--

LOCK TABLES `statistics` WRITE;
/*!40000 ALTER TABLE `statistics` DISABLE KEYS */;
/*!40000 ALTER TABLE `statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `value`
--

DROP TABLE IF EXISTS `value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `value` (
  `ValueID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `nr_display` tinyint(4) unsigned NOT NULL,
  `unit` tinyint(4) unsigned NOT NULL,
  `unitnam` varchar(50) NOT NULL,
  `typ` tinyint(4) unsigned NOT NULL,
  `pointpos` tinyint(4) unsigned NOT NULL,
  `senstyp` tinyint(4) unsigned NOT NULL,
  `senssubtyp` tinyint(4) unsigned NOT NULL,
  `deviceID` int(11) NOT NULL,
  `channel` tinyint(4) unsigned NOT NULL,
  `chname` varchar(50) NOT NULL,
  PRIMARY KEY (`ValueID`),
  KEY `FK_value_deviceID` (`deviceID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `value`
--

LOCK TABLES `value` WRITE;
/*!40000 ALTER TABLE `value` DISABLE KEYS */;
INSERT  IGNORE INTO `value` VALUES (1,'DewPoint',5,4,'°Ctd',0,4,7,0,1,1,'Taupunkt'),(2,'Rel.Humid.',6,56,'%',0,4,7,0,1,1,'Taupunkt'),(3,'Temperatur',7,1,'°C',0,4,7,0,1,1,'Taupunkt'),(4,'Abs.Humid.',8,9,'g/m³',0,4,7,0,1,1,'Taupunkt'),(5,'Temp.',9,1,'°C',0,4,4,0,1,2,'');
/*!40000 ALTER TABLE `value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'test_39'
--
/*!50003 DROP PROCEDURE IF EXISTS `deleteArea` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `deleteArea`(
  in areaID INT)
BEGIN
delete from `area`
   where `area`.`AreaID` = areaID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `deleteCompressorType1` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `deleteCompressorType1`(
    in ComprID int)
BEGIN
    delete `compressor`, `compr_para_type1` 
    from `compressor`, `compr_para_type1` 
    where `compressor`.`ComprID` = ComprID
    and `compr_para_type1`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `deleteCompressorType2` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `deleteCompressorType2`(
    in ComprID int)
BEGIN
    delete `compressor`, `compr_para_type2` 
    from `compressor`, `compr_para_type2` 
    where `compressor`.`ComprID` = ComprID
    and `compr_para_type2`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `deleteCompressorType3` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `deleteCompressorType3`(
    in ComprID int)
BEGIN
    delete `compressor`, `compr_para_type3` 
    from `compressor`, `compr_para_type3` 
    where `compressor`.`ComprID` = ComprID
    and `compr_para_type3`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertArea` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertArea`(
  in strAreaName varchar(50), 
  in strAreaDescription varchar(110),
  out areaID int)
BEGIN 
    INSERT INTO `area` (`name`, `description`) 
        VALUES (strAreaName, strAreaDescription); 
    SELECT LAST_INSERT_ID() INTO areaID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertAxisProp` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertAxisProp`(
  in AxisID INT,
  in name varchar(59),
  in range_min FLOAT,
  in range_max FLOAT,
  in range_auto BIT(1),
  in range_showzero BIT(1)
)
BEGIN
INSERT INTO `axisprop`(
`AxisID`,
`name`,
`range_min`,
`range_max`,
`range_auto`,
`range_showzero`)
VALUES (AxisID, name, range_min, range_max, range_auto, range_showzero);
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertCompressorValue` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertCompressorValue`(
  in ComprTypeID INT, 
  in ComprTypeDescr varchar(50), 
  in ComprManufact varchar(50), 
  in ComprManufactDescr varchar(50), 
  in ComprPress float, 
  in CurrentID INT, 
  in EnergyID INT, 
  in PowerID INT, 
  in FlowID INT, 
  in ConsumptionID INT, 
  in AreaID INT, 
  in PressUnit INT,
  in FlowUnit INT,
  out ComprID INT, 
  out ComprSortID INT)
BEGIN 
INSERT INTO `compressor`(
`ComprTypeID`,
`ComprTypeDescr`,
`ComprManufact`,
`ComprManufactDescr`,
`ComprPress`,
`ComprCurrentID`,
`ComprEnergyID`,
`ComprPowerID`,
`ComprFlowID`,
`ComprConsumptionID`,
`AreaID`,
`ComprPressUnit`,
`ComprFlowUnit`)
  VALUES (ComprTypeID, 
  ComprTypeDescr, 
  ComprManufact, 
  ComprManufactDescr, 
  ComprPress, 
  CurrentID, 
  EnergyID, 
  PowerID, 
  FlowID, 
  ConsumptionID, 
  AreaID,
  PressUnit,
  FlowUnit  
); 
SELECT LAST_INSERT_ID() INTO ComprID;
SELECT COUNT(*) FROM `compressor` INTO ComprSortID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertDevice` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertDevice`(
in ModbusID tinyint, 
    in AreaID int, 
    in IPAddress bigint,
    in deviceName varchar(20),
    in description varchar(50),
    in Typ tinyint,
    in HWversion varchar(20),
    in SWversion varchar(20),
    in SerialNR bigint,
    out deviceID int)
BEGIN
insert into `device` (`ModbusID`, `AreaID`, `IPAddress`,`name`,`description`,`Typ`,`hw_version`,`sw_version`,`SerialNr`) 
               VALUES( ModbusID, AreaID, IPAddress, deviceName, description, Typ, HWversion, SWversion, SerialNR);
SELECT LAST_INSERT_ID() INTO deviceID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertMovingAvg` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertMovingAvg`(
  in typ INT,
  in points INT,
  in kind INT,
  in envelope INT,
  in active BIT(1)
)
BEGIN
INSERT INTO `moving_avg_prop`(
`typ`,
`points`,
`kind`,
`envelope`,
`active`)

VALUES (typ, points, kind, envelope, active);
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertPoint` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertPoint`(  
    in timestamp bigint,
    in valueID int,
    in value double,
    in min_Value double,
    in max_Value double)
BEGIN
INSERT INTO `data`
(`timestamp`, `valueID`, `value`, `minValue`, `maxValue`)
VALUES (timestamp, valueID, value, min_Value, max_Value); 
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertSeriesprop` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertSeriesprop`(
  in value_id INT,
  in dash_style TINYINT UNSIGNED,
  in color BIGINT,
  in marker_kind TINYINT UNSIGNED,
  in thickness TINYINT UNSIGNED,
  in value_kind TINYINT UNSIGNED,
  in show_average BIT,
  in show_stacked_area BIT,
  in val_avg INT(11) UNSIGNED,
  in show_min_max BIT)
BEGIN
INSERT INTO `seriesprop`(
`ValueID`,
`DashStyle`,
`Color`,
`MarkerKind`,
`Thickness`,
`ValueKind`,
`ShowAverage`,
`ShowStackedArea`,
`ValAvg`,
`ShowMinMax`)
  VALUES (value_id,  dash_style, color, marker_kind, thickness, value_kind, show_average, show_stacked_area, val_avg, show_min_max); 
  END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertSettings` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertSettings`(
in USE_SUM_OF_COMPR_AS_FLOW BIT(1),
in USE_FLOW_SENS BIT(1),
in FLOW_SENS_VALUE INT(11),
in CONSUMPTION_SENS_VALUE INT(11),
in CALC_LEAKAGE BIT(1),
in LEAKAGE_VALUE FLOAT,
in TIMESTAMP_FIRST BIGINT(20),
in TIMESTAMP_LAST BIGINT(20),
in USE_RPT_COVER BIT(1),
in USE_RPT_PARAM BIT(1),
in USE_RPT_CUMULATIVE BIT(1),
in USE_RPT_LOAD BIT(1),
in USE_RPT_JOURNAL BIT(1),
in RPT_JOURNAL_TYPE INT(11),
in USE_RPT_CHART BIT(1),
in RPT_CHART_TYPE INT(11),
in UNIT_PRESSURE INT(11),
in UNIT_FLOW INT(11),
in UNIT_ENERGY INT(11),
in UNIT_CONSUMPTION INT(11),
in CURRENCY VARCHAR(50),
in HOURS_PER_YEAR FLOAT,
in USE_DUALTARIFF BIT(1),
in TARIFF1_START BIGINT(20),
in TARIFF1_END BIGINT(20),
in TARIFF1_VALUE FLOAT,
in TARIFF2_START BIGINT(20),
in TARIFF2_END BIGINT(20),
in TARIFF2_VALUE FLOAT,
out IDX_SETTINGS INT
)
BEGIN
INSERT INTO `settings`(
`USE_SUM_OF_COMPR_AS_FLOW`,
`USE_FLOW_SENS`,
`FLOW_SENS_VALUE`,
`CONSUMPTION_SENS_VALUE`,
`CALC_LEAKAGE`,
`LEAKAGE_VALUE`,
`TIMESTAMP_FIRST`,
`TIMESTAMP_LAST`,
`USE_RPT_COVER`,
`USE_RPT_PARAM`,
`USE_RPT_CUMULATIVE`,
`USE_RPT_LOAD`,
`USE_RPT_JOURNAL`,
`RPT_JOURNAL_TYPE`,
`USE_RPT_CHART`,
`RPT_CHART_TYPE`,
`UNIT_PRESSURE`,
`UNIT_FLOW`,
`UNIT_ENERGY`,
`UNIT_CONSUMPTION`,
`CURRENCY`,
`HOURS_PER_YEAR`,
`USE_DUALTARIFF`,
`TARIFF1_START`,
`TARIFF1_END`,
`TARIFF1_VALUE`,
`TARIFF2_START`,
`TARIFF2_END`,
`TARIFF2_VALUE`)
VALUES (USE_SUM_OF_COMPR_AS_FLOW, 
        USE_FLOW_SENS, 
        FLOW_SENS_VALUE, 
        CONSUMPTION_SENS_VALUE, 
        CALC_LEAKAGE, 
        LEAKAGE_VALUE, 
        TIMESTAMP_FIRST, 
        TIMESTAMP_LAST, 
        USE_RPT_COVER, 
        USE_RPT_PARAM, 
        USE_RPT_CUMULATIVE, 
        USE_RPT_LOAD, 
        USE_RPT_JOURNAL, 
        RPT_JOURNAL_TYPE, 
        USE_RPT_CHART, 
        RPT_CHART_TYPE, 
        UNIT_PRESSURE, 
        UNIT_FLOW, 
        UNIT_ENERGY, 
        UNIT_CONSUMPTION, 
        CURRENCY, 
        HOURS_PER_YEAR, 
        USE_DUALTARIFF, 
        TARIFF1_START, 
        TARIFF1_END, 
        TARIFF1_VALUE, 
        TARIFF2_START, 
        TARIFF2_END, 
        TARIFF2_VALUE);
        SELECT LAST_INSERT_ID() INTO IDX_SETTINGS;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `insertValue` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `insertValue`(
  in name varchar(50), 
  in deviceID INT,
  in nr_display TINYINT UNSIGNED,
  in unit TINYINT UNSIGNED,
  in unitnam varchar(50),
  in typ TINYINT UNSIGNED,
  in pointpos TINYINT UNSIGNED,
  in senstyp TINYINT UNSIGNED,
  in senssubtyp TINYINT UNSIGNED,
  in channel TINYINT UNSIGNED,
  in chname varchar(50),
  out ValueID INT)
BEGIN
INSERT INTO `value`(
`name`,
`deviceID`,
`nr_display`,
`unit`,
`unitnam`,
`typ`,
`pointpos`,
`senstyp`,
`senssubtyp`,
`channel`,
`chname`)
  VALUES (name,  deviceID, nr_display, unit, unitnam, typ, pointpos, senstyp, senssubtyp, channel, chname); 
  SELECT LAST_INSERT_ID() INTO ValueID;
  END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateArea` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateArea`(
  in AreaID INT,
  in name varchar(50))
BEGIN
update `area`
   set `area`.`name`= name
   where `area`.`AreaID` = AreaID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateaxisprop` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateaxisprop`(
  in AxisID INT,
  in name varchar(59),
  in range_min FLOAT,
  in range_max FLOAT,
  in range_auto BIT(1),
  in range_showzero BIT(1))
BEGIN
update `axisprop`
   set `axisprop`.`name` = name,
       `axisprop`.`range_min` = range_min,
       `axisprop`.`range_max` = range_max,
       `axisprop`.`range_auto` = range_auto,
       `axisprop`.`range_showzero` = range_showzero
   where `axisprop`.`AxisID`= AxisID;              
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateCompressorDB` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateCompressorDB`(
  in ComprID INT,
  in ComprTypeID INT,
  in ComprName VARCHAR(50),
  in Manufact VARCHAR(50),
  in ManufactDescr VARCHAR(50),
  in Press FLOAT,
  in CurrentID INT,
  in EnergyID INT,
  in PowerID INT,
  in FlowID INT,
  in ConsumptionID INT,
  in ComprSortID INT,
  in PressUnit INT,
  in FlowUnit INT
  )
BEGIN
update `compressor` 
set    `compressor`.`ComprTypeID` = ComprTypeID,
       `compressor`.`ComprTypeDescr` = ComprName,
       `compressor`.`ComprManufact` = Manufact,
       `compressor`.`ComprManufactDescr` = ManufactDescr,
       `compressor`.`ComprPress` = Press,
       `compressor`.`ComprCurrentID` = CurrentID,
       `compressor`.`ComprEnergyID` = EnergyID,
       `compressor`.`ComprPowerID` = PowerID,
       `compressor`.`ComprFlowID` = FlowID,
       `compressor`.`ComprConsumptionID` = ConsumptionID,
       `compressor`.`ComprSortID` = ComprSortID,
       `compressor`.`ComprPressUnit` = PressUnit,
       `compressor`.`ComprFlowUnit` = FlowUnit
   where `compressor`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateCompressorType1` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateCompressorType1`(
  in ComprID INT,
  in ComprTypeID INT,
  in ComprName VARCHAR(50),
  in Manufact VARCHAR(50),
  in ManufactDescr VARCHAR(50),
  in Press FLOAT,
  in CurrentID INT,
  in EnergyID INT,
  in PowerID INT,
  in FlowID INT,
  in ConsumptionID INT,
  in PressUnit INT,
  in FlowUnit INT,
  in Pwr FLOAT,
  in Deliver FLOAT,
  in Fep FLOAT,
  in Fcos FLOAT,
  in FkW FLOAT,
  in Ecos FLOAT,
  in Sep FLOAT,
  in Scos FLOAT,
  in SkW FLOAT
  
  )
BEGIN
update `compressor`       
set    `compressor`.`ComprTypeID` = ComprTypeID,
       `compressor`.`ComprTypeDescr` = ComprName,
       `compressor`.`ComprManufact` = Manufact,
       `compressor`.`ComprManufactDescr` = ManufactDescr,
       `compressor`.`ComprPress` = Press,
       `compressor`.`ComprCurrentID` = CurrentID,
       `compressor`.`ComprEnergyID` = EnergyID,
       `compressor`.`ComprPowerID` = PowerID,
       `compressor`.`ComprFlowID` = FlowID,
       `compressor`.`ComprConsumptionID` = ConsumptionID,
       `compressor`.`ComprPressUnit` = PressUnit,
       `compressor`.`ComprFlowUnit` = FlowUnit
   where `compressor`.`ComprID` = ComprID;
   
   update `compr_para_type1`
   set `compr_para_type1`.`ComprPwr` = Pwr,
       `compr_para_type1`.`ComprDelivery` = Deliver,
       `compr_para_type1`.`Full_elec_pow` = Fep,
       `compr_para_type1`.`Full_cosphi` =  Fcos,
       `compr_para_type1`.`Full_kw` = FkW,
       `compr_para_type1`.`Empty_cosphi` = Ecos,
       `compr_para_type1`.`Stop_elec_pow` = Sep,
       `compr_para_type1`.`Stop_cosphi` = Scos,
       `compr_para_type1`.`Stop_kw` = SkW
   where `compr_para_type1`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateCompressorType2` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateCompressorType2`(
  in ComprID INT,
  in ComprTypeID INT,
  in ComprName VARCHAR(50),
  in Manufact VARCHAR(50),
  in ManufactDescr VARCHAR(50),
  in Press FLOAT,
  in CurrentID INT,
  in EnergyID INT,
  in PowerID INT,
  in FlowID INT,
  in ConsumptionID INT,
  in PressUnit INT,
  in FlowUnit INT,
  in Pwr FLOAT,
  in Deliver FLOAT,
  in Fep FLOAT,
  in Fcos FLOAT,
  in FkW FLOAT,
  in Scos FLOAT
  
  )
BEGIN
update `compressor`       
set    `compressor`.`ComprTypeID` = ComprTypeID,
       `compressor`.`ComprTypeDescr` = ComprName,
       `compressor`.`ComprManufact` = Manufact,
       `compressor`.`ComprManufactDescr` = ManufactDescr,
       `compressor`.`ComprPress` = Press,
       `compressor`.`ComprCurrentID` = CurrentID,
       `compressor`.`ComprEnergyID` = EnergyID,
       `compressor`.`ComprPowerID` = PowerID,
       `compressor`.`ComprFlowID` = FlowID,
       `compressor`.`ComprConsumptionID` = ConsumptionID,
       `compressor`.`ComprPressUnit` = PressUnit,
       `compressor`.`ComprFlowUnit` = FlowUnit
   where `compressor`.`ComprID` = ComprID;
   
   update `compr_para_type2`
   set `compr_para_type2`.`ComprPwr` = Pwr,
       `compr_para_type2`.`ComprDelivery` = Deliver,
       `compr_para_type2`.`Full_elec_pow` = Fep,
       `compr_para_type2`.`Full_cosphi` =  Fcos,
       `compr_para_type2`.`Full_kw` = FkW,
       `compr_para_type2`.`Stop_cosphi` = Scos
   where `compr_para_type2`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateCompressorType3` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateCompressorType3`(
  in ComprID INT,
  in ComprTypeID INT,
  in ComprName VARCHAR(50),
  in Manufact VARCHAR(50),
  in ManufactDescr VARCHAR(50),
  in Press FLOAT,
  in CurrentID INT,
  in EnergyID INT,
  in PowerID INT,
  in FlowID INT,
  in ConsumptionID INT,
  in PressUnit INT,
  in FlowUnit INT,
  in Pwr FLOAT,
  in Cosphi FLOAT,
  in Fep FLOAT,
  in Fcos FLOAT,
  in FkW FLOAT,
  in Ecos FLOAT,
  in Sep FLOAT,
  in Scos FLOAT,
  in SkW FLOAT,
  in MinEp FLOAT,
  in MinDeliver FLOAT,
  in MinKw FLOAT,
  in P1ep FLOAT,
  in P1Deliver FLOAT,
  in P1Kw FLOAT,
  in P2ep FLOAT,
  in P2Deliver FLOAT,
  in P2Kw FLOAT,
  in MaxEp FLOAT,
  in MaxDeliver FLOAT,
  in MaxKw FLOAT)
BEGIN
update `compressor`       
set    `compressor`.`ComprTypeID` = ComprTypeID,
       `compressor`.`ComprTypeDescr` = ComprName,
       `compressor`.`ComprManufact` = Manufact,
       `compressor`.`ComprManufactDescr` = ManufactDescr,
       `compressor`.`ComprPress` = Press,
       `compressor`.`ComprCurrentID` = CurrentID,
       `compressor`.`ComprEnergyID` = EnergyID,
       `compressor`.`ComprPowerID` = PowerID,
       `compressor`.`ComprFlowID` = FlowID,
       `compressor`.`ComprConsumptionID` = ConsumptionID,
       `compressor`.`ComprPressUnit` = PressUnit,
       `compressor`.`ComprFlowUnit` = FlowUnit
   where `compressor`.`ComprID` = ComprID;
   
   update `compr_para_type3`
   set `compr_para_type3`.`ComprPwr` = Pwr,
       `compr_para_type3`.`ComprCosphi` = Cosphi,
       `compr_para_type3`.`Full_elec_pow` = Fep,
       `compr_para_type3`.`Full_cosphi` =  Fcos,
       `compr_para_type3`.`Full_kw` = FkW,
       `compr_para_type3`.`Empty_cosphi` = Ecos,
       `compr_para_type3`.`Stop_elec_pow` = Sep,
       `compr_para_type3`.`Stop_cosphi` = Scos,
       `compr_para_type3`.`Stop_kw` = SkW,
       `compr_para_type3`.`Min_elec_pow` = MinEp,
       `compr_para_type3`.`Min_deliver` =  MinDeliver,
       `compr_para_type3`.`Min_kw` = MinKw,
       `compr_para_type3`.`P1_elec_pow` = P1ep,
       `compr_para_type3`.`P1_deliver` = P1Deliver,
       `compr_para_type3`.`P1_kw` = P1Kw,
       `compr_para_type3`.`P2_elec_pow` = P2ep,
       `compr_para_type3`.`P2_deliver` = P2Deliver,
       `compr_para_type3`.`P2_kw` = P2Kw,
       `compr_para_type3`.`Max_elec_pow` = MaxEp,
       `compr_para_type3`.`Max_deliver` = MaxDeliver,
       `compr_para_type3`.`Max_kw` = MaxKw
   where `compr_para_type3`.`ComprID` = ComprID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `UpdateConfigCaaCommon` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `UpdateConfigCaaCommon`(
  in ValueID INT,
  in Tariff1Value DOUBLE,
  in Tariff1Start TIME,
  in Tariff1End TIME,
  in ChkDualTariff BOOL,
  in Tariff2Value DOUBLE,
  in Tariff2Start TIME,
  in Tariff2End TIME)
BEGIN
update `UpdateConfigCaaCommon`
   set `UpdateConfigCaaCommon`.`ValueID` = ValueID,
       `UpdateConfigCaaCommon`.`Tariff1Value` = Tariff1Value,
       `UpdateConfigCaaCommon`.`Tariff1Start` = Tariff1Start,
       `UpdateConfigCaaCommon`.`Tariff1End` = Tariff1End,
       `UpdateConfigCaaCommon`.`ChkDualTariff` = ChkDualTariff,
       `UpdateConfigCaaCommon`.`Tariff2Value` = Tariff2Value,
       `UpdateConfigCaaCommon`.`Tariff2Start` = Tariff2Start,
       `UpdateConfigCaaCommon`.`Tariff2End` = Tariff2End;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateConfigParam` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateConfigParam`(
    in strParam varchar(50),
    in strValue varchar(50))
BEGIN
update `config`
    set `config`.`value` = strValue
    where `config`.`param` = strParam;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateDevice` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateDevice`(
  in deviceID INT,
  in name varchar(20))
BEGIN
update `device`
   set `device`.`name`= name
   where `device`.deviceID = deviceID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateMovingAvg` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateMovingAvg`(
  in moving_avg_ID INT,
  in typ INT,
  in points INT,
  in kind INT,
  in envelope INT,
  in active BIT(1))
BEGIN
update `moving_avg_prop`
   set `moving_avg_prop`.`typ` = typ,
       `moving_avg_prop`.`points` = points,
       `moving_avg_prop`.`kind` = kind,
       `moving_avg_prop`.`envelope` = envelope,
       `moving_avg_prop`.`active` = active
   where `moving_avg_prop`.`moving_avg_ID` = moving_avg_ID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updatePointPos` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updatePointPos`(
  in ValueID INT,
  in Pointpos INT)
BEGIN
  update `value`
    set `value`.`pointpos`= Pointpos        
    where `value`.`ValueID` = ValueID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateSeriesprop` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateSeriesprop`(
  in value_id INT,
  in dash_style TINYINT UNSIGNED,
  in color BIGINT,
  in marker_kind TINYINT UNSIGNED,
  in thickness TINYINT UNSIGNED,
  in value_kind TINYINT UNSIGNED,
  in show_average BIT,
  in show_stacked_area BIT,
  in val_avg INT(11) UNSIGNED,
  in show_min_max BIT)
BEGIN
update `seriesprop`
   set `seriesprop`.`DashStyle` = dash_style,
       `seriesprop`.`Color` = color,
       `seriesprop`.`MarkerKind` = marker_kind,
       `seriesprop`.`Thickness` = thickness,
       `seriesprop`.`ValueKind` = value_kind,
       `seriesprop`.`ShowAverage` = show_average,
	   `seriesprop`.`ShowStackedArea` = show_stacked_area,
	   `seriesprop`.`ValAvg` = val_avg,
     `seriesprop`.`ShowMinMax` = show_min_max
   where `seriesprop`.`ValueID` = value_id;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateSettings` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateSettings`(
in idsettings INT(11),
in USE_SUM_OF_COMPR_AS_FLOW BIT(1),
in USE_FLOW_SENS BIT(1),
in FLOW_SENS_VALUE INT(11),
in CONSUMPTION_SENS_VALUE INT(11),
in CALC_LEAKAGE BIT(1),
in LEAKAGE_VALUE FLOAT,
in TIMESTAMP_FIRST BIGINT(20),
in TIMESTAMP_LAST BIGINT(20),
in USE_RPT_COVER BIT(1),
in USE_RPT_PARAM BIT(1),
in USE_RPT_CUMULATIVE BIT(1),
in USE_RPT_LOAD BIT(1),
in USE_RPT_JOURNAL BIT(1),
in RPT_JOURNAL_TYPE INT(11),
in USE_RPT_CHART BIT(1),
in RPT_CHART_TYPE INT(11),
in UNIT_PRESSURE INT(11),
in UNIT_FLOW INT(11),
in UNIT_ENERGY INT(11),
in UNIT_CONSUMPTION INT(11),
in CURRENCY VARCHAR(50),
in HOURS_PER_YEAR FLOAT,
in USE_DUALTARIFF BIT(1),
in TARIFF1_START BIGINT(20),
in TARIFF1_END BIGINT(20),
in TARIFF1_VALUE FLOAT,
in TARIFF2_START BIGINT(20),
in TARIFF2_END BIGINT(20),
in TARIFF2_VALUE FLOAT
)
BEGIN
update `settings`
set 
    `settings`.`USE_SUM_OF_COMPR_AS_FLOW` =USE_SUM_OF_COMPR_AS_FLOW,
    `settings`.`USE_FLOW_SENS` =USE_FLOW_SENS,
    `settings`.`FLOW_SENS_VALUE` =FLOW_SENS_VALUE,
    `settings`.`CONSUMPTION_SENS_VALUE` =CONSUMPTION_SENS_VALUE,
    `settings`.`CALC_LEAKAGE` =CALC_LEAKAGE,
    `settings`.`LEAKAGE_VALUE` =LEAKAGE_VALUE,
    `settings`.`TIMESTAMP_FIRST` =TIMESTAMP_FIRST,
    `settings`.`TIMESTAMP_LAST` =TIMESTAMP_LAST,
    `settings`.`USE_RPT_COVER` =USE_RPT_COVER,
    `settings`.`USE_RPT_PARAM` =USE_RPT_PARAM,
    `settings`.`USE_RPT_CUMULATIVE` =USE_RPT_CUMULATIVE,
    `settings`.`USE_RPT_LOAD` =USE_RPT_LOAD,
    `settings`.`USE_RPT_JOURNAL` =USE_RPT_JOURNAL,
    `settings`.`RPT_JOURNAL_TYPE` =RPT_JOURNAL_TYPE,
    `settings`.`USE_RPT_CHART` =USE_RPT_CHART,
    `settings`.`RPT_CHART_TYPE` =RPT_CHART_TYPE,
    `settings`.`UNIT_PRESSURE` =UNIT_PRESSURE,
    `settings`.`UNIT_FLOW` =UNIT_FLOW,
    `settings`.`UNIT_ENERGY` =UNIT_ENERGY,
    `settings`.`UNIT_CONSUMPTION` =UNIT_CONSUMPTION,
    `settings`.`CURRENCY` =CURRENCY,
    `settings`.`HOURS_PER_YEAR` =HOURS_PER_YEAR,
    `settings`.`USE_DUALTARIFF` =USE_DUALTARIFF,
    `settings`.`TARIFF1_START` =TARIFF1_START,
    `settings`.`TARIFF1_END` =TARIFF1_END,
    `settings`.`TARIFF1_VALUE` =TARIFF1_VALUE,
    `settings`.`TARIFF2_START` =TARIFF2_START,
    `settings`.`TARIFF2_END` =TARIFF2_END,
    `settings`.`TARIFF2_VALUE` =TARIFF2_VALUE
where `settings`.`idsettings` = idsettings;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `updateValue` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,STRICT_ALL_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,TRADITIONAL,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`cssoftbasic`@`localhost`*/ /*!50003 PROCEDURE `updateValue`(
  in ValueID INT,
  in name varchar(50),
  in chname varchar(50))
BEGIN
  update `value`
    set `value`.`name`= name,
        `value`.`chname` = chname
    where `value`.`ValueID` = ValueID;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-12-02  9:40:47
